BricsCAD V16 minimum requirement

Dear linux enthusiasts,

For BricsCAD(Linux) V16 we are considering to upgrade our build system from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS.
As a result, the gcc version that we use to build BricsCAD would upgrade from 4.6.3 to 4.8.2.
The minimum required c++ runtime (libstdc++) would then also become 4.8.2.

I would like to learn the opinion of BricsCAD (Linux) users.  Is any of you still working on Ubuntu 12.04, or another distribution with an old c++ runtime?  If so, do you mind that running BricsCAD V16 would require upgrading your distribution?

Mind that for the pending V15.3 version we will keep using gcc 4.6.3 on Ubuntu 12.04 LTS.

Kind Regards
Tijs

Comments

  • Sounds like a reasonable decision. At OpenStudio arkitekter we will stay on 12.04 until Ubuntu 16.04 is released. I guess this will correlate well with when BricsCAD v16 for Linux is released?
    Sure there will be security upgrades for 12.04 until 2017, but no other upgrades.
    /Mikael
  •  In our office, we always keep upgrade to latest ubuntu LTS version, right now we are satisfy with ubuntu 14.04 and linuxmint 17.2. 
  • Hi Tijs,
    personally I think it's enough to support last 2 LTS ubuntu versions, which would mean 14.04 and 16.04 at the release of BricsCAD V16. But I think it mostly depends on what users of BricsCAD on linux use. I think nobody running 12.04 will be checking these forums (most likely employees in larger shops), so your best bet would be to see how many people are using 12.04 in your support system.

    Tom
  • I'am running with Ubuntu 14.04, will upgrade to 16.04 when it will be done. From my side of view, no support for 12.04 is necessary.
  • Currently running Ubuntu 14.04 LTS (64 bit) and will upgrade to 16.04 LTS when it is released, so lack of support for older (12.04)  gcc and c++ runtimes would not be an issue for me. 

    Will also upgrade to V16 as soon as the Linux version becomes available (even in Beta)
  • I guess Fedora FC20 is not an issue. The compiler is 4.8.3-7 (with the updates) & I'm anticipating V16's release. Hopefully a present for me at Christmas.
This discussion has been closed.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!